Get Logger Groups
Gets the list of logger groups.
Required Permissions
Requires the MEMBER role or higher.
HTTP Request
GET /api/sonar/logger-groups
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
https://HOSTNAME/api/sonar/logger-groups?offset=0&limit=10
Request Parameters
| Key | Required | Type | Description | Note |
|---|---|---|---|---|
| offset | X | 32-bit integer | Number of records to skip | Default: 0 |
| limit | X | 32-bit integer | Maximum number of records to load | Default: unlimited |
Success Response
{
"total_count": 1,
"logger_groups": [
{
"guid": "0565a218-a78d-43ff-89b6-a9899adcf8c5",
"name": "Firewall",
"description": null,
"parent_guid": null,
"created": "2023-10-01 22:20:44+0900",
"updated": "2023-10-01 22:20:44+0900"
}
]
}
- total_count (32-bit integer): Total number of logger groups that match the search keyword
- logger_groups (Array): Logger group list
- guid (String): Logger group GUID
- name (String): Logger group name
- description (String): Logger group description
- parent_guid (String): Parent logger group identifier
- created (String): Creation date and time (
yyyy-MM-dd HH:mm:ssZ) - updated (String): Last modification date and time (
yyyy-MM-dd HH:mm:ssZ)
offset or limit value is not an integer
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' parameter should be int type"
}
offset or limit value is not negative
HTTP status code 400
{
"error_code": "invalid-argument",
"error_msg": "'offset' must be greater than or equal to 0."
}